com.ibm.openpages.api.configuration

## Interface IFLSPropertyAccess

-     public interface IFLSPropertyAccess

  Field-level security interface that allows you to manage user and group access to OpenPages objects. Grants users or groups with read-only and read-and-update privileges on field definitions. Examples of property access for FLSRules:
  The Legal Authority has 'read-only' permissions on field definitions (Executive ownwer, status), where Owner is a field in the issue object and it contains an actor value.
  The Issue Owner has 'read-only' and 'read-and-update' permissions on field definitions (Executive ownwer, status), where Owner is a field in the issue object and it contains an actor value.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IFieldDefinition` | `getFieldDefinition()` Returns the Field Definition for IFLSRule.
    `java.lang.Boolean` | `getReadSelected()` Returns the Boolean value if read-only is applied on field definition.
    `java.lang.Boolean` | `getUpdateSelected()` Returns the Boolean value if 'read-and-update' is applied on field definition.
    `void` | `setFieldDefinition(IFieldDefinition fielddefinition)` Sets FieldDefinition for IFLSRule.
    `void` | `setReadSelected(java.lang.Boolean selected)` Sets the Boolean value for read-only on field definition.
    `void` | `setUpdateSelected(java.lang.Boolean selected)` Sets the boolean value for 'read-and-update' on field definition.

- - ### Method Detail

    - #### getReadSelected

          java.lang.Boolean getReadSelected()

      Returns the Boolean value if read-only is applied on field definition.
      Returns:
        Boolean value for this field

    - #### setReadSelected

          void setReadSelected(java.lang.Boolean selected)

      Sets the Boolean value for read-only on field definition.
      Parameters:
        `selected` - Boolean value

    - #### getUpdateSelected

          java.lang.Boolean getUpdateSelected()

      Returns the Boolean value if 'read-and-update' is applied on field definition.
      Returns:
        Boolean value for this field

    - #### setUpdateSelected

          void setUpdateSelected(java.lang.Boolean selected)

      Sets the boolean value for 'read-and-update' on field definition.
      Parameters:
        `selected` - Boolean value

    - #### getFieldDefinition

          IFieldDefinition getFieldDefinition()

      Returns the Field Definition for IFLSRule.
      Returns:
        IFieldDefinition

    - #### setFieldDefinition

          void setFieldDefinition(IFieldDefinition fielddefinition)

      Sets FieldDefinition for IFLSRule.
      Parameters:
        `IFieldDefinition` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.